# -*- coding: utf-8 -*-
"""
abejaapi core exceptions
"""


class ResourceDoesNotExist(Exception):
    pass


class SDKConfigurationFileCorrupt(Exception):
    pass


class SDKConfigurationFileNotFound(Exception):
    pass


class SDKConfigurationProfileDoesNotExist(Exception):
    pass


class OrganizationIdsNotDefined(Exception):
    pass


class OrganizationNameNotSet(Exception):
    pass


class Http403Forbidden(Exception):
    pass


class Http401Unauthorized(Exception):
    pass


class InvalidChannelStorageType(Exception):
    pass


class InvalidCredentials(Exception):
    pass


class InvalidOrganization(Exception):
    pass


class RequiredParameterMissingError(Exception):
    pass


class UnknownChannelId(Exception):
    pass


class UnknownError(Exception):
    pass